|
马上注册,结交更多同行朋友,交流,分享,学习。
您需要 登录 才可以下载或查看,没有帐号?注册
x
Option Strict Off
Imports NXOpen
Imports NXOpenUI
Imports NXOpen.UF
Imports NXOpen.Utilities
Module Module2
Dim S As Session = Session.GetSession()
Dim UFS As UFSession = UFSession.GetUFSession()
Dim workpart As Part = S.Parts.Work()
Sub Main()
Dim cue As String = "请选择一点"
Dim point_tag As Tag
Dim base_pt(0 To 2) As Double
Dim base_methold As NXOpen.UF.UFUi.PointBaseMethod
base_methold = UFUi.PointBaseMethod.PointInferred
Dim response As Integer
UFS.Ui.PointConstruct(cue, base_methold, point_tag, base_pt, response)
UFS.Curve.CreatePoint(base_pt, point_tag)
End Sub
Public Function GetUnloadOption(ByVal dummy As String) As Integer
GetUnloadOption = UFConstants.UF_UNLOAD_IMMEDIATELY
End Function
End Module |
|